This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Subnets

1 - 1.3

get /v1/subnets

Description

Get subnet list.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Subnet Id
Example : 023c57b14f11483689338d085e061492
string
queryname
optional
Subnet Name
Example : subnetName
string
querytype
optional
Subnet Type
Example :
any of [enum (PUBLIC, PRIVATE, LOCAL, VPC_ENDPOINT), array[enum (PUBLIC, PRIVATE, LOCAL, VPC_ENDPOINT)]]
querycidr
optional
Subnet Cidr
Example : 192.167.1.0/24
any of [string, null]None
querystate
optional
State
Example :
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)
queryvpc_id
optional
VPC Id
Example : 7df8abb4912e4709b1cb237daccca7a8
string
queryvpc_name
optional
VPC Name
Example : vpcName
string
querycategory
optional
Subnet Category
Example : PRIMARY
enum (PRIMARY, SECONDARY)
queryzone
optional
Subnet Zone
Example :
string
queryprimary_subnet_id
optional
Primary Subnet ID
Example : 023c57b14f11483689338d085e061492
string

Responses

HTTP CodeDescriptionSchema
200OKSubnetListResponseV1Dot3
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "subnets": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "category": "PRIMARY",
            "cidr": "192.167.1.0/24",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "gateway_ip_address": "192.167.1.1",
            "id": "023c57b14f11483689338d085e061492",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "subnetName",
            "primary_subnet_id": "023c57b14f11483689338d085e061492",
            "state": "CREATING",
            "type": "PUBLIC",
            "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
            "vpc_name": "vpcName",
            "zones": "[\"kr-west1-a\", \"kr-west1-b\", \"kr-west1-c\"]"
        }
    ]
}

2 - 1.2

get /v1/subnets

Description

Get subnet list.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220270131

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Subnet Id
Example : 023c57b14f11483689338d085e061492
string
queryname
optional
Subnet Name
Example : subnetName
string
querytype
optional
Subnet Type
Example :
any of [enum (GENERAL, LOCAL, VPC_ENDPOINT), array[enum (GENERAL, LOCAL, VPC_ENDPOINT)]]
querycidr
optional
Subnet Cidr
Example : 192.167.1.0/24
any of [string, null]None
querystate
optional
State
Example :
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)
queryvpc_id
optional
VPC Id
Example : 7df8abb4912e4709b1cb237daccca7a8
string
queryvpc_name
optional
VPC Name
Example : vpcName
string

Responses

HTTP CodeDescriptionSchema
200OKSubnetListResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "subnets": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "cidr": "192.167.1.0/24",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "gateway_ip_address": "192.167.1.1",
            "id": "023c57b14f11483689338d085e061492",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "subnetName",
            "state": "CREATING",
            "type": "GENERAL",
            "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
            "vpc_name": "vpcName"
        }
    ]
}

3 - 1.1

get /v1/subnets

Description

Get subnet list.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Subnet Id
Example : 023c57b14f11483689338d085e061492
string
queryname
optional
Subnet Name
Example : subnetName
string
querytype
optional
Subnet Type
Example :
any of [enum (GENERAL, LOCAL, VPC_ENDPOINT), array[enum (GENERAL, LOCAL, VPC_ENDPOINT)]]
querystate
optional
State
Example :
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)
queryvpc_id
optional
VPC Id
Example : 7df8abb4912e4709b1cb237daccca7a8
string
queryvpc_name
optional
VPC Name
Example : vpcName
string

Responses

HTTP CodeDescriptionSchema
200OKSubnetListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "subnets": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "cidr": "192.167.1.0/24",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "gateway_ip_address": "192.167.1.1",
            "id": "023c57b14f11483689338d085e061492",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "subnetName",
            "state": "CREATING",
            "type": "GENERAL",
            "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
            "vpc_name": "vpcName"
        }
    ]
}

4 - 1.0

get /v1/subnets

Description

Get subnet list.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Subnet Id
Example : 023c57b14f11483689338d085e061492
string
queryname
optional
Subnet Name
Example : subnetName
string
querytype
optional
Subnet Type
Example :
any of [enum (GENERAL, LOCAL, VPC_ENDPOINT), array[enum (GENERAL, LOCAL, VPC_ENDPOINT)]]
querystate
optional
State
Example :
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)
queryvpc_id
optional
VPC Id
Example : 7df8abb4912e4709b1cb237daccca7a8
string
queryvpc_name
optional
VPC Name
Example : vpcName
string

Responses

HTTP CodeDescriptionSchema
200OKSubnetListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "subnets": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "cidr": "192.167.1.0/24",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "gateway_ip_address": "192.167.1.1",
            "id": "023c57b14f11483689338d085e061492",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "subnetName",
            "state": "CREATING",
            "type": "GENERAL",
            "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
            "vpc_name": "vpcName"
        }
    ]
}